	character*80 inline
	integer*8 ibig
	data radmax/31./
	data amagmax/12.5/
C Write the header stuff:
	write(6,10)
10	format('FIELD NAME: CygOB2'/
     & 'INPUT EPOCH: 2000.00'/
     & 'CURRENT EPOCH: 2004.66'/
     & 'SIDEREAL TIME: 20.5'/
     & 'EXPOSURE LENGTH: 0.5'/
     & 'WAVELENGTH: 6000.'/
     & 'CABLE: RED'/
     & 'GUIDEWAVE: 6000.'/
     & 'WEIGHTING: NONE'/
     & '#23456789012345678901234567890123456789012345678901234567890'/
     & '0000 Center-CygOB2        20 33 17.982 +41 18 31.19 C')
	open(unit=1,file='cygob2mag',status='old')
	inum=0
1	read(1,2,end=99) inline
2	format(a80)
Cwrite(6,2) inline
	if(inline(1:1).eq.'#') go to 1
	read(inline,*) rad,ihr,imin,sec,ideg,iamin,asec,ibig,ra,dec,raerr,
     &  decerr,amag
Cwrite(6,*) rad,radmax,amag,amagmax
	if(rad.gt.radmax) go to 1
	if(amag.gt.amagmax) go to 1
	inum=inum+1
	write(6,3) inum,ibig,amag,ihr,imin,sec,ideg,iamin,asec
3	format(i4.4,1x,'CygOB2-',i8.8,'V',f4.1,1x,i2.2,1x,i2.2,1x,
     &  f6.3,1x,i3.2,1x,i2.2,1x,f5.2,' O')
	go to 1
99	stop
	end
